[arch-commits] Commit in texlive-publishers/trunk (PKGBUILD texlive.install)

François Charette francois at archlinux.org
Sat Jun 26 10:43:44 EDT 2010


    Date: Saturday, June 26, 2010 @ 10:43:43
  Author: francois
Revision: 84116

prerelease of texlive 2010

Modified:
  texlive-publishers/trunk/PKGBUILD
  texlive-publishers/trunk/texlive.install

-----------------+
 PKGBUILD        |   22 ++++++++++++----------
 texlive.install |    2 +-
 2 files changed, 13 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-26 14:43:38 UTC (rev 84115)
+++ PKGBUILD	2010-06-26 14:43:43 UTC (rev 84116)
@@ -1,7 +1,7 @@
 # Maintainer: Firmicus <firmicus āt gmx dōt net>
 
 pkgname=texlive-publishers
-pkgver=2009.16512
+pkgver=2010.19046
 pkgrel=1
 pkgdesc="TeX Live - LaTeX classes and packages for specific publishers"
 license=('GPL')
@@ -11,21 +11,23 @@
 url='http://tug.org/texlive/'
 source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip")
 options=('!emptydirs')
+options=(!strip)
 install=texlive.install
-md5sums=('1648bf4f06d467d253c3f51de8f91cfd')
+md5sums=('f6816391d2d3346b19264be75078d453')
 
 build() {
-   cd $srcdir
-   install -m755 -d $pkgdir/usr/share/texmf-var/arch/installedpkgs || return 1
-   sed -i '/^#/d' CONTENTS || return 1
-   _revnr=`echo $pkgver | sed 's/2009\.//'`
-   install -m644 CONTENTS $pkgdir/usr/share/texmf-var/arch/installedpkgs/${pkgname}_${_revnr}.pkgs || return 1
-   for p in *.tar.xz; do 
+   for p in *.tar.xz; do
 	   bsdtar -xf $p || return 1
    done
-   rm -rf {tlpkg,doc,source}
+   rm -rf {tlpkg,doc,source} || true
+}
+package() {
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs || return 1
+   sed -i '/^#/d' CONTENTS || return 1
+   _revnr=`echo $pkgver | sed 's/2010\.//'`
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs || return 1
    install -m755 -d $pkgdir/usr/share || return 1
-   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done)
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
    for dir in $wanteddirs; do
      find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \; || return 1
      find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \; || return 1

Modified: texlive.install
===================================================================
--- texlive.install	2010-06-26 14:43:38 UTC (rev 84115)
+++ texlive.install	2010-06-26 14:43:43 UTC (rev 84116)
@@ -1,6 +1,6 @@
 post_install() {
 	echo    ">>> texlive: updating the filename database..."
-	texconfig-sys rehash
+	/usr/bin/mktexlsr
 }
 
 post_upgrade() {



More information about the arch-commits mailing list